summaryrefslogtreecommitdiff
path: root/source4/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source4/autogen.sh')
-rwxr-xr-xsource4/autogen.sh36
1 files changed, 36 insertions, 0 deletions
diff --git a/source4/autogen.sh b/source4/autogen.sh
new file mode 100755
index 0000000000..a2228a6fd9
--- /dev/null
+++ b/source4/autogen.sh
@@ -0,0 +1,36 @@
+#! /bin/sh
+
+# Run this script to build samba from CVS.
+
+## first try the default names
+AUTOHEADER="autoheader"
+AUTOCONF="autoconf"
+
+if which $AUTOCONF > /dev/null
+then
+ :
+else
+ echo "$0: need autoconf 2.53 or later to build samba from CVS" >&2
+ exit 1
+fi
+
+##
+## what version do we need?
+##
+if [ `$AUTOCONF --version | head -1 | cut -d. -f 2` -lt 53 ]; then
+
+ ## maybe it's installed under a different name (e.g. RedHat 7.3)
+
+ AUTOCONF="autoconf-2.53"
+ AUTOHEADER="autoheader-2.53"
+
+fi
+
+echo "$0: running $AUTOHEADER"
+$AUTOHEADER || exit 1
+
+echo "$0: running $AUTOCONF"
+$AUTOCONF || exit 1
+
+echo "Now run ./configure and then make."
+exit 0